import React from 'react';

const VKLogo = () => (
    <svg width="161" height="48" viewBox="0 0 161 48" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M53.7173 26.8902C53.7173 28.7122 52.0209 30.0316 49.6335 30.0316H44.0419V18.7227H49.445C51.7696 18.7227 53.4031 19.9792 53.4031 21.7384C53.4031 22.9321 52.7749 23.686 51.8324 24.1258C52.8377 24.5028 53.7173 25.508 53.7173 26.8902ZM46.4921 20.796V23.2462H49.3822C50.2618 23.2462 50.8272 22.7436 50.8272 22.0525C50.8272 21.3614 50.1989 20.796 49.3822 20.796H46.4921ZM49.6335 27.9583C50.5759 27.9583 51.267 27.3928 51.267 26.5761C51.267 25.7593 50.6387 25.1939 49.6335 25.1939H46.4921V27.9583H49.6335Z"
            fill="white"
        />
        <path
            d="M62.9529 29.9687L59.0576 25.508H58.4293V29.9687H55.9163V18.7227H58.4293V23.0577H59.0576L62.8273 18.7227H65.7801L61.0681 24.1258L66.2199 29.9687H62.9529Z"
            fill="white"
        />
        <path
            d="M66.2199 24.3771C66.2199 20.9844 68.733 18.5342 72.2514 18.5342C75.7697 18.5342 78.2828 20.9844 78.2828 24.3771C78.2828 27.7698 75.7697 30.22 72.2514 30.22C68.733 30.22 66.2199 27.7698 66.2199 24.3771ZM75.644 24.3771C75.644 22.241 74.2618 20.796 72.2514 20.796C70.2409 20.796 68.8587 22.241 68.8587 24.3771C68.8587 26.5132 70.2409 27.9583 72.2514 27.9583C74.2618 27.9583 75.644 26.5132 75.644 24.3771Z"
            fill="white"
        />
        <path
            d="M87.8953 18.7227H90.4084V29.9687H87.8953V25.4452H82.8691V29.9687H80.356V18.7227H82.8691V23.1834H87.8953V18.7227Z"
            fill="white"
        />
        <path d="M95.8115 29.9687V20.9844H91.9162V18.7227H102.157V20.9844H98.2618V29.9687H95.8115Z" fill="white" />
        <path
            d="M112.963 23.686V29.9687H111.141L110.639 28.2096C110.073 29.152 108.88 30.22 107.058 30.22C104.796 30.22 103.162 28.7122 103.162 26.6389C103.162 24.5656 104.796 23.1206 108.126 23.1206H110.576C110.45 21.6755 109.696 20.6703 108.314 20.6703C107.183 20.6703 106.429 21.2986 106.052 21.9897L103.791 21.6127C104.356 19.6651 106.304 18.5342 108.44 18.5342C111.204 18.5342 112.963 20.419 112.963 23.686ZM110.513 25.0682H108.188C106.304 25.0682 105.675 25.6965 105.675 26.5132C105.675 27.4556 106.429 28.0839 107.686 28.0839C109.319 28.0839 110.513 26.8902 110.513 25.0682Z"
            fill="white"
        />
        <path
            d="M122.639 29.9687L118.743 25.508H118.115V29.9687H115.602V18.7227H118.115V23.0577H118.743L122.513 18.7227H125.466L120.754 24.1258L125.906 29.9687H122.639Z"
            fill="white"
        />
        <path d="M130.429 29.9687V20.9844H126.534V18.7227H136.775V20.9844H132.88V29.9687H130.429Z" fill="white" />
        <path
            d="M149.34 25.0682H140.293C140.545 26.8274 141.801 27.9583 143.686 27.9583C145.005 27.9583 146.01 27.3928 146.576 26.5761L148.901 26.953C148.084 29.0892 145.885 30.22 143.497 30.22C140.105 30.22 137.654 27.7698 137.654 24.3771C137.654 20.9844 140.105 18.5342 143.497 18.5342C146.89 18.5342 149.34 20.9844 149.34 24.2515C149.403 24.5656 149.34 24.8169 149.34 25.0682ZM140.482 23.1206H146.702C146.262 21.7384 145.131 20.7331 143.56 20.7331C142.052 20.6703 140.859 21.6755 140.482 23.1206Z"
            fill="white"
        />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M20.32 12H27.68C34.3998 12 36 13.6 36 20.32V27.6801C36 34.4 34.3998 36 27.68 36H20.32C13.6 36 12 34.4 12 27.6801V20.32C12 13.6 13.6 12 20.32 12Z"
            fill="#0077FF"
        />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M31.656 20.2683C31.7673 19.8976 31.656 19.625 31.1269 19.625H29.3768C28.9318 19.625 28.7267 19.8604 28.6155 20.12C28.6155 20.12 27.7255 22.2891 26.4648 23.6982C26.057 24.1061 25.8716 24.236 25.649 24.236C25.5379 24.236 25.3768 24.1061 25.3768 23.7354V20.2683C25.3768 19.8235 25.2476 19.625 24.8768 19.625H22.1268C21.8488 19.625 21.6815 19.8316 21.6815 20.0273C21.6815 20.4492 22.3119 20.5465 22.377 21.733V24.31C22.377 24.8751 22.2748 24.9777 22.0523 24.9777C21.4592 24.9777 20.0159 22.7986 19.1601 20.3054C18.9923 19.8207 18.8242 19.625 18.377 19.625H16.6269C16.1269 19.625 16.027 19.8604 16.027 20.12C16.027 20.5834 16.6201 22.8825 18.7893 25.923C20.2354 27.9994 22.2728 29.1251 24.1268 29.1251C25.2392 29.1251 25.3768 28.8751 25.3768 28.4444V26.8752C25.3768 26.375 25.4821 26.2755 25.8345 26.2755C26.094 26.2755 26.539 26.405 27.5773 27.4062C28.7638 28.5928 28.9594 29.1251 29.6269 29.1251H31.377C31.8768 29.1251 32.1268 28.8751 31.9827 28.3818C31.8247 27.89 31.2583 27.1766 30.5066 26.331C30.0987 25.8489 29.4867 25.3299 29.3015 25.0701C29.0419 24.7365 29.116 24.5882 29.3015 24.2915C29.3015 24.2915 31.4337 21.288 31.656 20.2683Z"
            fill="white"
        />
    </svg>
);
export default VKLogo;
